# SquareConnect.PaymentRefund

### Description

Represents a refund of a payment made using Square. Contains information about the original payment and the amount of money refunded.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The unique ID for this refund, generated by Square. | 
**status** | **String** | The refund&#39;s status: - &#x60;PENDING&#x60; - Awaiting approval. - &#x60;COMPLETED&#x60; - Successfully completed. - &#x60;REJECTED&#x60; - The refund was rejected. - &#x60;FAILED&#x60; - An error occurred. | [optional] 
**location_id** | **String** | The location ID associated with the payment this refund is attached to. | [optional] 
**amount_money** | [**Money**](Money.md) | The amount of money refunded. This amount is specified in the smallest denomination of the applicable currency (for example, US dollar amounts are specified in cents). | 
**app_fee_money** | [**Money**](Money.md) | The amount of money the application developer contributed to help cover the refunded amount. This amount is specified in the smallest denomination of the applicable currency (for example, US dollar amounts are specified in cents). For more information, see [Working with Monetary Amounts](https://developer.squareup.com/docs/build-basics/working-with-monetary-amounts). | [optional] 
**processing_fee** | [**[ProcessingFee]**](ProcessingFee.md) | Processing fees and fee adjustments assessed by Square for this refund. | [optional] 
**payment_id** | **String** | The ID of the payment assocated with this refund. | [optional] 
**order_id** | **String** | The ID of the order associated with the refund. | [optional] 
**reason** | **String** | The reason for the refund. | [optional] 
**created_at** | **String** | The timestamp of when the refund was created, in RFC 3339 format. | [optional] 
**updated_at** | **String** | The timestamp of when the refund was last updated, in RFC 3339 format. | [optional] 


