/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Invoice = require('./Invoice');




/**
 * The CreateInvoiceRequest model module.
 * Note: This model is in beta.
 * @module model/CreateInvoiceRequest
 */

/**
 * Constructs a new <code>CreateInvoiceRequest</code>.
 * Describes a &#x60;CreateInvoice&#x60; request.
 * @alias module:model/CreateInvoiceRequest
 * @class
 * @param invoice {module:model/Invoice} The invoice to create.
 */
var exports = function(invoice) {
  var _this = this;

  _this['invoice'] = invoice;

};

/**
 * Constructs a <code>CreateInvoiceRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateInvoiceRequest} obj Optional instance to populate.
 * @return {module:model/CreateInvoiceRequest} The populated <code>CreateInvoiceRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('invoice')) {
      obj['invoice'] = Invoice.constructFromObject(data['invoice']);
    }
      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
    }
  return obj;
}

/**
 * The invoice to create.
 * @member {module:model/Invoice} invoice
 */
exports.prototype['invoice'] = undefined;
/**
 * A unique string that identifies the `CreateInvoice` request. If you do not  provide `idempotency_key` (or provide an empty string as the value), the endpoint  treats each request as independent.  For more information, see [Idempotency](https://developer.squareup.com/docs/docs/working-with-apis/idempotency).
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;



module.exports = exports;



