/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var TeamMember = require('./TeamMember');




/**
 * The CreateTeamMemberRequest model module.
 * @module model/CreateTeamMemberRequest
 */

/**
 * Constructs a new <code>CreateTeamMemberRequest</code>.
 * Represents a create request for a &#x60;TeamMember&#x60; object.
 * @alias module:model/CreateTeamMemberRequest
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>CreateTeamMemberRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CreateTeamMemberRequest} obj Optional instance to populate.
 * @return {module:model/CreateTeamMemberRequest} The populated <code>CreateTeamMemberRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
      if (data.hasOwnProperty('team_member')) {
      obj['team_member'] = TeamMember.constructFromObject(data['team_member']);
    }
    }
  return obj;
}

/**
 * A unique string that identifies this CreateTeamMember request. Keys can be any valid string but must be unique for every request. See [Idempotency keys](https://developer.squareup.com/docs/basics/api101/idempotency) for more information. <br> <b>Min Length 1    Max Length 45</b>
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;
/**
 * <b>Required</b> The data which will be used to create the `TeamMember` object.
 * @member {module:model/TeamMember} team_member
 */
exports.prototype['team_member'] = undefined;



module.exports = exports;



