/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var PaymentRefund = require('./PaymentRefund');




/**
 * The GetPaymentRefundResponse model module.
 * @module model/GetPaymentRefundResponse
 */

/**
 * Constructs a new <code>GetPaymentRefundResponse</code>.
 * Defines the fields that are included in the response body of a request to the [GetRefund](#endpoint-refunds-getpaymentrefund) endpoint.  Note: If there are errors processing the request, the refund field might not be present or it might be present in a FAILED state.
 * @alias module:model/GetPaymentRefundResponse
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>GetPaymentRefundResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/GetPaymentRefundResponse} obj Optional instance to populate.
 * @return {module:model/GetPaymentRefundResponse} The populated <code>GetPaymentRefundResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('refund')) {
      obj['refund'] = PaymentRefund.constructFromObject(data['refund']);
    }
    }
  return obj;
}

/**
 * Information about errors encountered during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * The requested `PaymentRefund`.
 * @member {module:model/PaymentRefund} refund
 */
exports.prototype['refund'] = undefined;



module.exports = exports;



