/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Error = require('./Error');
var Invoice = require('./Invoice');




/**
 * The ListInvoicesResponse model module.
 * Note: This model is in beta.
 * @module model/ListInvoicesResponse
 */

/**
 * Constructs a new <code>ListInvoicesResponse</code>.
 * Describes a &#x60;ListInvoice&#x60; response.
 * @alias module:model/ListInvoicesResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListInvoicesResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListInvoicesResponse} obj Optional instance to populate.
 * @return {module:model/ListInvoicesResponse} The populated <code>ListInvoicesResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('invoices')) {
      obj['invoices'] = ApiClient.convertToType(data['invoices'], [Invoice]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * The invoices retrieved.
 * @member {Array.<module:model/Invoice>} invoices
 */
exports.prototype['invoices'] = undefined;
/**
 * When a response is truncated, it includes a cursor that you can use in a  subsequent request to fetch the next set of invoices. If empty, this is the final  response.  For more information, see [Pagination](https://developer.squareup.com/docs/docs/working-with-apis/pagination).
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * Information about errors encountered during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



