/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var CatalogObject = require('./CatalogObject');
var Error = require('./Error');




/**
 * The RetrieveCatalogObjectResponse model module.
 * @module model/RetrieveCatalogObjectResponse
 */

/**
 * Constructs a new <code>RetrieveCatalogObjectResponse</code>.
 * 
 * @alias module:model/RetrieveCatalogObjectResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>RetrieveCatalogObjectResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/RetrieveCatalogObjectResponse} obj Optional instance to populate.
 * @return {module:model/RetrieveCatalogObjectResponse} The populated <code>RetrieveCatalogObjectResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('object')) {
      obj['object'] = CatalogObject.constructFromObject(data['object']);
    }
      if (data.hasOwnProperty('related_objects')) {
      obj['related_objects'] = ApiClient.convertToType(data['related_objects'], [CatalogObject]);
    }
    }
  return obj;
}

/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * The `CatalogObject`s returned.
 * @member {module:model/CatalogObject} object
 */
exports.prototype['object'] = undefined;
/**
 * A list of `CatalogObject`s referenced by the object in the `object` field.
 * @member {Array.<module:model/CatalogObject>} related_objects
 */
exports.prototype['related_objects'] = undefined;



module.exports = exports;



