/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var CustomerGroup = require('./CustomerGroup');
var Error = require('./Error');




/**
 * The RetrieveCustomerGroupResponse model module.
 * @module model/RetrieveCustomerGroupResponse
 */

/**
 * Constructs a new <code>RetrieveCustomerGroupResponse</code>.
 * Defines the fields that are included in the response body of a request to the [RetrieveCustomerGroup](#endpoint-retrievecustomergroup) endpoint.  One of &#x60;errors&#x60; or &#x60;group&#x60; is present in a given response (never both).
 * @alias module:model/RetrieveCustomerGroupResponse
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>RetrieveCustomerGroupResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/RetrieveCustomerGroupResponse} obj Optional instance to populate.
 * @return {module:model/RetrieveCustomerGroupResponse} The populated <code>RetrieveCustomerGroupResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('group')) {
      obj['group'] = CustomerGroup.constructFromObject(data['group']);
    }
    }
  return obj;
}

/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * The retrieved customer group.
 * @member {module:model/CustomerGroup} group
 */
exports.prototype['group'] = undefined;



module.exports = exports;



