/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var CustomerSegment = require('./CustomerSegment');
var Error = require('./Error');




/**
 * The RetrieveCustomerSegmentResponse model module.
 * @module model/RetrieveCustomerSegmentResponse
 */

/**
 * Constructs a new <code>RetrieveCustomerSegmentResponse</code>.
 * Defines the fields included in the response body for requests to __RetrieveCustomerSegment__.  One of &#x60;errors&#x60; or &#x60;segment&#x60; is present in a given response (never both).
 * @alias module:model/RetrieveCustomerSegmentResponse
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>RetrieveCustomerSegmentResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/RetrieveCustomerSegmentResponse} obj Optional instance to populate.
 * @return {module:model/RetrieveCustomerSegmentResponse} The populated <code>RetrieveCustomerSegmentResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
      if (data.hasOwnProperty('segment')) {
      obj['segment'] = CustomerSegment.constructFromObject(data['segment']);
    }
    }
  return obj;
}

/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;
/**
 * The retrieved customer segment.
 * @member {module:model/CustomerSegment} segment
 */
exports.prototype['segment'] = undefined;



module.exports = exports;



