/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var SearchAvailabilityFilter = require('./SearchAvailabilityFilter');




/**
 * The SearchAvailabilityQuery model module.
 * Note: This model is in beta.
 * @module model/SearchAvailabilityQuery
 */

/**
 * Constructs a new <code>SearchAvailabilityQuery</code>.
 * Query conditions to search for availabilities of bookings.
 * @alias module:model/SearchAvailabilityQuery
 * @class
 * @param filter {module:model/SearchAvailabilityFilter} The query filter to search for availabilities of existing bookings.
 */
var exports = function(filter) {
  var _this = this;

  _this['filter'] = filter;
};

/**
 * Constructs a <code>SearchAvailabilityQuery</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/SearchAvailabilityQuery} obj Optional instance to populate.
 * @return {module:model/SearchAvailabilityQuery} The populated <code>SearchAvailabilityQuery</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('filter')) {
      obj['filter'] = SearchAvailabilityFilter.constructFromObject(data['filter']);
    }
    }
  return obj;
}

/**
 * The query filter to search for availabilities of existing bookings.
 * @member {module:model/SearchAvailabilityFilter} filter
 */
exports.prototype['filter'] = undefined;



module.exports = exports;



