/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var TerminalCheckoutQuery = require('./TerminalCheckoutQuery');




/**
 * The SearchTerminalCheckoutsRequest model module.
 * @module model/SearchTerminalCheckoutsRequest
 */

/**
 * Constructs a new <code>SearchTerminalCheckoutsRequest</code>.
 * 
 * @alias module:model/SearchTerminalCheckoutsRequest
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>SearchTerminalCheckoutsRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/SearchTerminalCheckoutsRequest} obj Optional instance to populate.
 * @return {module:model/SearchTerminalCheckoutsRequest} The populated <code>SearchTerminalCheckoutsRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('query')) {
      obj['query'] = TerminalCheckoutQuery.constructFromObject(data['query']);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('limit')) {
      obj['limit'] = ApiClient.convertToType(data['limit'], 'Number');
    }
    }
  return obj;
}

/**
 * Queries terminal checkouts based on given conditions and sort order. Leaving this unset will return all checkouts with the default sort order.
 * @member {module:model/TerminalCheckoutQuery} query
 */
exports.prototype['query'] = undefined;
/**
 * A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for the original query. See [Pagination](https://developer.squareup.com/docs/basics/api101/pagination) for more information.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * Limit the number of results returned for a single request.
 * @member {Number} limit
 */
exports.prototype['limit'] = undefined;



module.exports = exports;



