/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var CustomerGroup = require('./CustomerGroup');




/**
 * The UpdateCustomerGroupRequest model module.
 * @module model/UpdateCustomerGroupRequest
 */

/**
 * Constructs a new <code>UpdateCustomerGroupRequest</code>.
 * Defines the body parameters that can be provided in a request to the [UpdateCustomerGroup](#endpoint-updatecustomergroup) endpoint.
 * @alias module:model/UpdateCustomerGroupRequest
 * @class
 * @param group {module:model/CustomerGroup} The `CustomerGroup` object including all the updates you want to make.
 */
var exports = function(group) {
  var _this = this;

  _this['group'] = group;
};

/**
 * Constructs a <code>UpdateCustomerGroupRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/UpdateCustomerGroupRequest} obj Optional instance to populate.
 * @return {module:model/UpdateCustomerGroupRequest} The populated <code>UpdateCustomerGroupRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('group')) {
      obj['group'] = CustomerGroup.constructFromObject(data['group']);
    }
    }
  return obj;
}

/**
 * The `CustomerGroup` object including all the updates you want to make.
 * @member {module:model/CustomerGroup} group
 */
exports.prototype['group'] = undefined;



module.exports = exports;



