/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var WageSetting = require('./WageSetting');




/**
 * The UpdateWageSettingRequest model module.
 * @module model/UpdateWageSettingRequest
 */

/**
 * Constructs a new <code>UpdateWageSettingRequest</code>.
 * Represents an update request for the &#x60;WageSetting&#x60; object describing a &#x60;TeamMember&#x60;.
 * @alias module:model/UpdateWageSettingRequest
 * @class
 * @param wageSetting {module:model/WageSetting} The new `WageSetting` object that will completely replace the existing one.
 */
var exports = function(wageSetting) {
  var _this = this;

  _this['wage_setting'] = wageSetting;
};

/**
 * Constructs a <code>UpdateWageSettingRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/UpdateWageSettingRequest} obj Optional instance to populate.
 * @return {module:model/UpdateWageSettingRequest} The populated <code>UpdateWageSettingRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('wage_setting')) {
      obj['wage_setting'] = WageSetting.constructFromObject(data['wage_setting']);
    }
    }
  return obj;
}

/**
 * The new `WageSetting` object that will completely replace the existing one.
 * @member {module:model/WageSetting} wage_setting
 */
exports.prototype['wage_setting'] = undefined;



module.exports = exports;



